/**
 * 比较常用的工具模块
 * @date 2022-03
 * @author 何华东
 */
/**
 * 替换所有字符串, 某些特殊字符不支持，例如：`\\n`
 */
export declare function replaceAll(value: string, searchValue: string, replaceValue: string): string;
/**
 * 生成一个`uuid`
 */
export declare function uuid(): string;
/**
 * 拦截对象方法调用
 */
export declare function interceptMethodCall(obj: object, handler: (thisArg: any, methodName: string | symbol, next: Function) => Promise<any>): object;
